Package org.kapott.hbci.protocol.factory

## Class MSGFactory

- java.lang.Object
- - org.kapott.hbci.tools.ObjectFactory
  - - org.kapott.hbci.protocol.factory.MSGFactory

    public class MSGFactory
    extends ObjectFactory

### Field Summary

### Fields inherited from class org.kapott.hbci.tools.ObjectFactory

`currentPoolSize, freeObjects, usedObjects`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`MSG` `createMSG​(java.lang.String type, java.lang.String res, int fullResLen, MsgGen gen)`
`MSG` `createMSG​(java.lang.String type, java.lang.String res, int fullResLen, MsgGen gen, boolean checkSeq)`
`MSG` `createMSG​(java.lang.String type, java.lang.String res, int fullResLen, MsgGen gen, boolean checkSeq, boolean checkValids)`
`MSG` `createMSG​(java.lang.String type, MsgGen gen, java.util.Hashtable<java.lang.String,​java.lang.String> clientValues)`
`static MSGFactory` `getInstance()`
`void` `unuseObject​(java.lang.Object o)`

### Methods inherited from class org.kapott.hbci.tools.ObjectFactory

`addToFreePool, addToUsedPool, getFreeObject, getFreeObjects, getUsedObjects, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getInstance

    public static MSGFactory getInstance()

#### createMSG

    public MSG createMSG​(java.lang.String type,
                         MsgGen gen,
                         java.util.Hashtable<java.lang.String,​java.lang.String> clientValues)

#### createMSG

    public MSG createMSG​(java.lang.String type,
                         java.lang.String res,
                         int fullResLen,
                         MsgGen gen)

#### createMSG

    public MSG createMSG​(java.lang.String type,
                         java.lang.String res,
                         int fullResLen,
                         MsgGen gen,
                         boolean checkSeq)

#### createMSG

    public MSG createMSG​(java.lang.String type,
                         java.lang.String res,
                         int fullResLen,
                         MsgGen gen,
                         boolean checkSeq,
                         boolean checkValids)

#### unuseObject

    public void unuseObject​(java.lang.Object o)

Overrides:
  `unuseObject` in class `ObjectFactory`